#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           ghostwriter
Version: 23.04.3
Release:        %mkrel %{rel}
Summary:        A distraction-free Markdown editor
Group:          Graphical desktop/KDE
License:        GPL-3.0-or-later
URL:            https://ghostwriter.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5WebChannel)
BuildRequires:  cmake(Qt5WebEngineWidgets)
BuildRequires:  cmake(Qt5Widgets)

BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Sonnet)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5XmlGui)

BuildRequires:  pkgconfig(hunspell)

#Recommends:     multimarkdown

%description
ghostwriter is a text editor for Markdown, which is a plain text
markup format. For more information about Markdown, please visit John
Gruber’s website at http://www.daringfireball.net. ghostwriter
provides a relaxing, distraction-free writing environment.

%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_kf5_bindir}/ghostwriter
%{_kf5_applicationsdir}/org.kde.ghostwriter.desktop
%{_kf5_metainfodir}/org.kde.ghostwriter.metainfo.xml
%{_kf5_iconsdir}/hicolor/*/apps/ghostwriter.*
%{_kf5_mandir}/man1/ghostwriter.1*

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-qt --with-man


%changelog
* Sun Mar 03 2024 daviddavid <daviddavid> 23.04.3-1.mga9
+ Revision: 2047365
- New version 23.04.3

* Tue May 30 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1959731
- initial package ghostwriter

